cURL
curl --request GET \
--url https://public-api.kiwify.com/v1/events/{product_id}/participants \
--header 'Authorization: Bearer <token>' \
--header 'x-kiwify-account-id: <api-key>'import requests
url = "https://public-api.kiwify.com/v1/events/{product_id}/participants"
headers = {
"x-kiwify-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-kiwify-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://public-api.kiwify.com/v1/events/{product_id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"count": 10,
"page_number": 1,
"page_size": 10
},
"data": {
"max_tickets": 10,
"available": 7,
"issued_tickets": 3,
"sold_tickets": 2,
"total_checkin": 0,
"participants": [
{
"id": "ae1603c9-eeda-41c5-84a2-6bffb7c4b333",
"external_id": "YRC3IQGCR24TWKT",
"batch_id": "c880067d-5fc1-43ea-91fe-8eba9b70b2dc",
"batch_name": "lote 1",
"name": "Manual",
"email": "mycustomer@mail.com",
"cpf": "64365501194",
"phone": "8229453509",
"order_id": "44db0fe3-ac96-4895-8a72-8f128e9664a9",
"checkin_at": null,
"created_at": "2023-11-24T10:30:04.855Z",
"updated_at": "2023-11-24T10:30:04.855Z"
},
{
"id": "a3d6af9a-6b5f-4915-87ea-83033a893833",
"external_id": "ZQAU4F3U2E73Z2N",
"batch_id": "c880067d-5fc1-43ea-91fe-8eba9b70b2dc",
"batch_name": "lote 1",
"name": "My Customer",
"email": "mycustomer@mail.com",
"cpf": "64365501194",
"phone": "8229453509",
"order_id": "44db0fe3-ac96-4895-8a72-8f128e9664a9",
"checkin_at": null,
"created_at": "2023-11-24T10:58:11.057Z",
"updated_at": "2023-11-24T10:58:11.057Z"
},
{
"id": "0434160b-4ba2-4b0a-ba13-ff2d3427155d",
"external_id": "N7HHNQCFJH0HK57",
"batch_id": "c880067d-5fc1-43ea-91fe-8eba9b70b2dc",
"batch_name": "lote 1",
"name": "My Customer",
"email": "mycustomer@mail.com",
"cpf": "64365501194",
"phone": "8229453509",
"order_id": "44db0fe3-ac96-4895-8a72-8f128e9664a9",
"checkin_at": null,
"created_at": "2023-11-24T10:59:02.538Z",
"updated_at": "2023-11-24T10:59:02.538Z"
}
]
}
}{
"error": "auth_error",
"message": "Invalid token: access token is invalid"
}Eventos
Listar participantes
GET
/
events
/
{product_id}
/
participants
cURL
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Parâmetros de caminho
Parâmetros de consulta
⌘I
